Create a new Auditable entity
Create a new Auditable entity, which can be used for auditing
Bearer-AuthAuthorizationBearer <token>application/json- body
Auditable entity represents a legal entity, which can be attached to an audit entry, so the user can provide detailed information.
legal_name?stringThe legal name of the entity.
email?stringThe email address associated with the entity.
emailvat_id?stringThe VAT identification number of the entity.
external_id?stringAn external identifier for the entity, which can be used to link the entity to an external system or database.
address?Address of a legal entity. Some (legal) documets require a full address to be given, e.g. an invoice.
Created
application/json- response
[index: integer]?Auditable entity represents a legal entity, which can be attached to an audit entry, so the user can provide detailed information.
curl -X POST 'https://api.sandbox.squake.earth/v2/audits/entities' \ -H 'Content-Type: application/json' \ -d '{}'[ { "id": "0194d6b4-8711-7873-899d-c8133cd742f8", "legal_name": "Test Company Inc.", "email": "test@squake.earth", "vat_id": "DE123456789", "external_id": "external-id", "address": { "city": "Berlin", "line_1": "Street 1", "line_2": "Building A", "email": "test@squake.earth", "country_alpha2": "DE", "name_line_1": "Test Company Inc.", "name_line_2": "c/o John Doe", "state": "BE", "zip_code": "12345" } }]Retrieve the list of Audit logs
Retrieve the list of audit logs for the authenticated client
Compare Carbon Usage
This endpoint allows you to compare carbon quantities to more recognizable items such as cars, light bulbs, or kettles. <br><br> Our list of metrics and comparison units are quite extensive so a list of accepted combinations has been compiled and is available [here](https://squake.notion.site/96b220031e8e4d64aec4f0e46a5bde97?v=8c67ffdcf91c4477acf0640688beea11&pvs=4)